%let che =/home/jerome.collet1/Master19;
libname l "&che/Tables";

data l.stopping;
  infile "&che./Donnees/freinageD2.csv" firstobs=2 dlm=";";
  input Driver brake_number car $ road_state $ speed brake_length difference_with_professional;
run;

proc glm data=l.stopping;
  class car road_state;
  model brake_length = speed speed*speed*road_state / noint ;
run;
proc glmselect data=l.stopping;
  class car road_state;
  model brake_length = speed speed*speed*road_state / noint ;
run;

proc glmselect data=l.stopping;
  class car road_state;
  model brake_length = speed
    speed*speed*road_state*car
    speed*speed*road_state
    speed*speed*car
    / noint ;
run;
proc glm data=l.stopping;
  class car road_state driver;
  model brake_length = speed
    speed*speed*road_state
    speed*speed*car
    driver
    / noint ;
run;
proc glmselect data=l.stopping;
  class car road_state driver;
  model brake_length = speed
    speed*speed*road_state
    speed*speed*car
    driver
    / noint ;
run;
proc glm data=l.stopping;
  class car road_state driver;
  model brake_length = speed
    speed*speed*road_state
    speed*speed*car
    brake_number
    / noint ;
run;
proc glmselect data=l.stopping;
  class car road_state driver;
  model brake_length = speed
    speed*speed*road_state
    speed*speed*car
    brake_number
    / noint ;
run;
