using CSV
# using StatsBase
using Statistics
using MultivariateStats
using InvertedIndices

voitures = CSV.read("Donnees\\voitures.csv", header=true)

acp = fit(PCA,
  convert(Array{Float64}, voitures[!,Not([:origine, :nom, :equipement])]))

# proc reg data=sortieprincomp;
#   model prix = prin1 prin2;
# run;quit;
# proc reg data=voitures;
#   model prix =  puissance cylindree vitesse longueur largeur poidsv
#   reservoir consommation coffre / selection=stepwise;
# run;quit;
# proc reg data=voitures;
#   model prix =  puissance cylindree;
# run;quit;
#
# /*correlation de la variable illustrative prix avec les 3 premiers axes principaux*/
# proc corr data=sortieprincomp;
#  var prix;
#  with prin1 prin2 prin3;
# run;
#
# /*pour representer les variables qualitatives illustratives il suffit de calculer les coordonnees moyennes sur
# chaque axe pour chaque modalite*/
# proc means data=sortieprincomp;
#  class origine ;
#  var prin1 prin2 prin3;
# run;
# proc means data=sortieprincomp;
#  class equipement ;
#  var prin1 prin2 prin3;
# run;
#
# /* pour info, pour avoir le jeu de donnees avec les variables centrees et reduites (pour retrouver les resultats sur
# les individus par le calcul "a la main"*/
# proc stdize data=voitures out=standard method=std vardef=n;
#  var puissance cylindree vitesse longueur largeur poidsv reservoir consommation coffre;
# run;
#
# proc cluster data=voitures method=ward outtree=arbre standard plots=all;
#  id nom;
#  var puissance cylindree vitesse longueur largeur poidsv reservoir consommation coffre;
# run;
# proc cluster data=voitures method=ward outtree=arbre standard plots=all;
#  id nom;
#  var puissance cylindree vitesse longueur largeur poidsv reservoir consommation coffre prix;
# run;
#
# proc fastclus data=voitures maxc=3 maxiter=10 out=clus;
#  id nom;
#  var puissance cylindree vitesse longueur largeur poidsv reservoir consommation coffre;
# run;
# proc princomp data=clus out=sortieprincomp N=5 outstat=statprincomp plots=all;
#  var puissance cylindree vitesse longueur largeur poidsv reservoir consommation coffre prix;
# run;
# symbol1 v=dot;
# proc gplot data=sortieprincomp;
#   plot prin1*prin2=cluster/legend;
# run;quit;
