using DataFrames
using RData
using GLM

vols = load("tables\\flights.rds")
avions = load("tables\\planes.rds")
distances = load("tables\\distances.rds")
models = load("tables\\models.rds")

volavion = innerjoin(vols, avions, on = :tailnum, makeunique = true)
volaviondist = innerjoin(volavion, distances, on = [:origin, :dest])
tout = innerjoin(volaviondist, models, on = :model, makeunique = true)
# fusionner vols et avions, puis distances
# proc sql;
#   create table volaviondist2 as select avions.*, vols.*, distances.*
#   from l.flights as vols, l.distances as distances, l.planes as avions
#   where avions.tailnum=vols.tailnum and vols.dest=distances.dest and vols.origin=distances.origin ;
# quit;

mod = lm(@formula(air_time ~ distance * engine +  carrier +  year_1 +
  distance ), tout)

/* Turbo-shaft */