%macro simkhideux(nbobs,nbech,nbmod);
data simulations;
  do numech=1 to &nbech;
    do numobs=1 to &nbobs;
      x=1+floor(RAND('UNIFORM')*&nbmod);
      y=1+floor(RAND('UNIFORM')*&nbmod);
      output;
    end;
  end;
run;
proc freq data=simulations noprint;
  by numech;
  tables x*y/ chisq;
   output out=reschisq  n nmiss pchi lrchi;
run;
data reschisq; set reschisq;
  if p_pchi<0.05 then rejet=1; else rejet=0;
run;
proc means data=reschisq;
  var rejet;
run;
proc rank data=reschisq out=reschisq;
  var p_pchi;
  ranks rang_p_pchi;
run;
data reschisq; set reschisq;
  if rang_p_pchi=1 then call symputx("numpire",numech);
run;
proc freq data=simulations;
  where numech=&numpire;;
  tables x*y/ chisq;
run;
%mend;

%simkhideux(100,1000,3);